function retval = setarrow(s, nrow, skip, x)
% print out gnuplot arrow commands
narrows = columns(x)/2;
printf ("gnuplot arrow command -- %s\n", s)
for i = 1:narrows
  cols = 2*i-1:2*i;
  arrowloc = [x(nrow,cols)'; x(nrow+skip,cols)'];
  printf ("set arrow %i from %g, %g to %g, %g filled size graph 0.03, 15 lw 0\n", ...
           i, arrowloc)
end